Organization
Get bulk operation details
Get details of a bulk update operation by its batch ID.
Shows all accounts that were affected and what changes were made to each.
Example:
curl "https://api.example.com/platform/v1/organization/bulk-operations/{batchId}" \
-H "X-API-Key: hp_live_your_key_here"
GET
/
v1
/
organization
/
bulk-operations
/
{batchId}
Get bulk operation details
curl --request GET \
--url https://api.hyperprop.com/platform/v1/organization/bulk-operations/{batchId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.hyperprop.com/platform/v1/organization/bulk-operations/{batchId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hyperprop.com/platform/v1/organization/bulk-operations/{batchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"batchId": "e4f5a6b7-c8d9-0123-efab-456789012345",
"adminEmail": "admin@propfirm.com",
"reason": "Server maintenance compensation - bulk reset",
"performedAt": "2026-02-16T09:15:00.000Z",
"accountsAffected": 3,
"accounts": [
{
"accountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"changes": {
"status": {
"old": "failed",
"new": "in_progress"
}
}
},
{
"accountId": "8d0f7780-8536-51ef-b55c-f18gd2g01bf8",
"changes": {
"status": {
"old": "failed",
"new": "in_progress"
}
}
},
{
"accountId": "9e1g8891-9647-62fg-c66d-g29he3h12cg9",
"changes": {
"currentBalance": {
"old": 48500,
"new": 50000
}
}
}
]
}
}{
"success": false,
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication required",
"code": "UNAUTHORIZED"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Batch not found",
"code": "BATCH_NOT_FOUND"
}{
"success": false,
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred",
"code": "INTERNAL_ERROR"
}Authorizations
BearerX-API-Key
JWT Bearer token for user session auth. Format: "Bearer {token}". Used by User and Organization endpoints.
Path Parameters
The batch ID from a bulk update
Response
Batch details retrieved
Example:
true
Show child attributes
Show child attributes
Example:
{
"batchId": "e4f5a6b7-c8d9-0123-efab-456789012345",
"adminEmail": "admin@propfirm.com",
"reason": "Server maintenance compensation - bulk reset",
"performedAt": "2026-02-16T09:15:00.000Z",
"accountsAffected": 3,
"accounts": [
{
"accountId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"changes": {
"status": { "old": "failed", "new": "in_progress" }
}
},
{
"accountId": "8d0f7780-8536-51ef-b55c-f18gd2g01bf8",
"changes": {
"status": { "old": "failed", "new": "in_progress" }
}
},
{
"accountId": "9e1g8891-9647-62fg-c66d-g29he3h12cg9",
"changes": {
"currentBalance": { "old": 48500, "new": 50000 }
}
}
]
}
Related topics
Get organization audit logGet account change historyTime Machine — bulk revert accounts to a trading dayIntroductionBulk update trading accounts⌘I
Get bulk operation details
